#ifndef EXTERN_H
#define EXTERN_H

typedef struct {
    int x;
    int y;
    int idx;
} Extern__print_fast_out;

typedef struct {
    int y;
    int x;
    int idx;
} Extern__print_gnc_out;

typedef struct {
    int idx;
} Extern__print_thermal_out;

void Extern__print_fast_step(int x, int y, int idx, Extern__print_fast_out *_out);
void Extern__print_gnc_step(int y, int x, int idx, Extern__print_gnc_out *_out);
void Extern__print_thermal_step(int idx, Extern__print_thermal_out *_out);

#endif // EXTERN_H

